Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms.events
Class ExpansionAdapter

    java.lang.Object
      org.eclipse.ui.forms.events.ExpansionAdapter

All Implemented Interfaces:
  IExpansionListener

public class ExpansionAdapter
extends Object
implements IExpansionListener

This adapter class provides default implementations for the methods described by the `ExpansionListener` interface.

Classes that wish to deal with `ExpansionEvent`s can extend this class and override only the methods which they are interested in.

Since:
  3.0
See Also:
  `IExpansionListener`, `ExpansionEvent`

Constructor Summary
`ExpansionAdapter()`

Method Summary
`void` | `expansionStateChanged(ExpansionEvent e)` Sent when the link is exited.
`void` | `expansionStateChanging(ExpansionEvent e)` Sent when the link is entered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpansionAdapter

    public ExpansionAdapter()

Method Detail

### expansionStateChanging

    public void expansionStateChanging(ExpansionEvent e)

  Sent when the link is entered. The default behaviour is to do nothing.

  Specified by:
    `expansionStateChanging` in interface `IExpansionListener`
  Parameters:
    `e` - the event

### expansionStateChanged

    public void expansionStateChanged(ExpansionEvent e)

  Sent when the link is exited. The default behaviour is to do nothing.

  Specified by:
    `expansionStateChanged` in interface `IExpansionListener`
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.